Bug 1031390 - Noticed gnome-terminal coredump
Noticed gnome-terminal coredump
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 10:43 EST by Zdenek Kabelac
Modified: 2016-07-19 06:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:36:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full backtrace of gnome-terminal crash (30.58 KB, text/plain)
2013-11-17 10:43 EST, Zdenek Kabelac
no flags Details

  None (edit)
Description Zdenek Kabelac 2013-11-17 10:43:51 EST
Created attachment 825174 [details]
Full backtrace of gnome-terminal crash

Description of problem:

My coredump dir contains gnome-terminal crash:

#0  0x00007ffe774a4538 in _g_utf8_normalize_wc (
    str=0x7ffe79d7a4d8 <Address 0x7ffe79d7a4d8 out of bounds>,
    max_len=max_len@entry=-1, mode=mode@entry=G_NORMALIZE_ALL_COMPOSE)
    at gunidecomp.c:395
#1  0x00007ffe774a3892 in g_utf8_collate (str1=<optimized out>,
    str2=0x7ffe79d7a828 <Address 0x7ffe79d7a828 out of bounds>) at gunicollate.c:114
#2  0x00000000004193d3 in terminal_profiles_compare (pa=0x7ffe640116b0, pb=0x2090430)
    at terminal-profiles-list.c:260
#3  0x00007ffe774701f9 in g_list_sort_merge (user_data=0x0, compare_func=
    0x419360 <terminal_profiles_compare>, l2=0x1f78140 = {...}, l1=0x1eecba0 = {...})
    at glist.c:1066
#4  g_list_sort_real (list=<optimized out>, compare_func=compare_func@entry=
    0x419360 <terminal_profiles_compare>, user_data=user_data@entry=0x0)
    at glist.c:1112
#5  0x00007ffe77470cf7 in g_list_sort (list=<optimized out>,
    compare_func=compare_func@entry=0x419360 <terminal_profiles_compare>)
    at glist.c:1149
#6  0x00000000004194aa in terminal_profiles_list_ref_children (list=<optimized out>)
    at terminal-profiles-list.c:110



Version-Release number of selected component (if applicable):
gnome-terminal-3.10.1-1.fc21.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jaroslav Reznik 2015-03-03 10:12:39 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora End Of Life 2016-07-19 06:36:10 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.